
%global meadversion 1.7.6
%global namedversion 1.7.6.redhat-1
%global meadalpha .redhat_1
%global meadrel .1
%global serial 2
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}avro}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.7.6.redhat-1

Name:           %{?scl_prefix}avro
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Apache Avro
Group:          Development/Java

%if %with mead
Source100: avro-toplevel-1.7.6.redhat-1-scm-sources.zip
Source102: trevni-avro-1.7.6.redhat-1-hadoop1.jar
Source103: trevni-avro-1.7.6.redhat-1-sources.jar
Source104: trevni-avro-1.7.6.redhat-1-tests.jar
Source105: trevni-avro-1.7.6.redhat-1-javadoc.jar
Source106: trevni-avro-1.7.6.redhat-1.pom
Source107: trevni-avro-1.7.6.redhat-1.jar
Source108: trevni-java-1.7.6.redhat-1.pom
Source109: avro-maven-plugin-1.7.6.redhat-1-sources.jar
Source110: avro-maven-plugin-1.7.6.redhat-1-javadoc.jar
Source111: avro-maven-plugin-1.7.6.redhat-1.jar
Source112: avro-maven-plugin-1.7.6.redhat-1.pom
Source113: trevni-core-1.7.6.redhat-1.jar
Source114: trevni-core-1.7.6.redhat-1.pom
Source115: trevni-core-1.7.6.redhat-1-tests.jar
Source116: trevni-core-1.7.6.redhat-1-sources.jar
Source117: trevni-core-1.7.6.redhat-1-javadoc.jar
Source118: avro-ipc-1.7.6.redhat-1.jar
Source119: avro-ipc-1.7.6.redhat-1-sources.jar
Source120: avro-ipc-1.7.6.redhat-1-javadoc.jar
Source121: avro-ipc-1.7.6.redhat-1.pom
Source122: avro-ipc-1.7.6.redhat-1-tests.jar
Source123: avro-compiler-1.7.6.redhat-1-sources.jar
Source124: avro-compiler-1.7.6.redhat-1-javadoc.jar
Source125: avro-compiler-1.7.6.redhat-1.jar
Source126: avro-compiler-1.7.6.redhat-1.pom
Source127: avro-archetypes-parent-1.7.6.redhat-1.pom
Source128: avro-protobuf-1.7.6.redhat-1-javadoc.jar
Source129: avro-protobuf-1.7.6.redhat-1-sources.jar
Source130: avro-protobuf-1.7.6.redhat-1.jar
Source131: avro-protobuf-1.7.6.redhat-1.pom
Source132: avro-parent-1.7.6.redhat-1.pom
Source133: avro-thrift-1.7.6.redhat-1.pom
Source134: avro-thrift-1.7.6.redhat-1-sources.jar
Source135: avro-thrift-1.7.6.redhat-1.jar
Source136: avro-thrift-1.7.6.redhat-1-javadoc.jar
Source137: trevni-doc-1.7.6.redhat-1.pom
Source138: trevni-doc-1.7.6.redhat-1-site.xml
Source139: avro-mapred-1.7.6.redhat-1-sources.jar
Source140: avro-mapred-1.7.6.redhat-1.pom
Source141: avro-mapred-1.7.6.redhat-1-hadoop1.jar
Source142: avro-mapred-1.7.6.redhat-1-javadoc.jar
Source143: avro-mapred-1.7.6.redhat-1.jar
Source144: avro-toplevel-1.7.6.redhat-1-project-sources.tar.gz
Source145: avro-toplevel-1.7.6.redhat-1.pom
Source146: avro-tools-1.7.6.redhat-1.pom
Source147: avro-tools-1.7.6.redhat-1-sources.jar
Source148: avro-tools-1.7.6.redhat-1.jar
Source149: avro-tools-1.7.6.redhat-1-nodeps.jar
Source150: avro-tools-1.7.6.redhat-1-javadoc.jar
Source151: avro-1.7.6.redhat-1-javadoc.jar
Source152: avro-1.7.6.redhat-1.jar
Source153: avro-1.7.6.redhat-1-sources.jar
Source154: avro-1.7.6.redhat-1-tests.jar
Source155: avro-1.7.6.redhat-1.pom
Source156: avro-service-archetype-1.7.6.redhat-1-sources.jar
Source157: avro-service-archetype-1.7.6.redhat-1.jar
Source158: avro-service-archetype-1.7.6.redhat-1.pom
%endif

License:        ASL 2.0
URL:            http://avro.apache.org
%if 0
Requires:       %{?scl_prefix_eap}jackson-core-asl >= 0:1.9.13
Requires:       %{?scl_prefix_eap}jackson-mapper-asl >= 0:1.9.13
%endif
# These are excluded via the wildfly pom
%if 0
Requires:       %{?scl_prefix_eap}paranamer >= 0:2.3
Requires:       %{?scl_prefix_eap}snappy-java >= 0:1.0.5
Requires:       %{?scl_prefix_eap}commons-compress >= 0:1.4.1
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Avro core components.

%if %with javadoc
%package javadoc
Summary:        Javadoc for avro
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n avro -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/avro-%{namedversion}.jar %{buildroot}%{_javadir}/avro-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/avro-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/avro-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/avro-%{namedversion}-sources.jar %{buildroot}%{_javadir}/avro-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/avro-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/avro-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/avro-%{namedversion} -x META-INF/\*
%{__ln_s} avro-%{namedversion} %{buildroot}%{_javadocdir}/avro
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc BUILD.txt CHANGES.txt DIST_README.txt LICENSE.txt NOTICE.txt README.txt
%{_javadir}/avro-%{namedversion}.jar
%{_javadir}/avro.jar
%if %with javadoc
%{_javadir}/avro-%{namedversion}-javadoc.jar
%{_javadir}/avro-javadoc.jar
%endif
%{_javadir}/avro-%{namedversion}-sources.jar
%{_javadir}/avro-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/avro-%{namedversion}
%{_javadocdir}/avro
%endif

%changelog
* Thu Jun 11 2015 David Walluck <dwalluck@redhat.com> - 1.7.6-2.redhat_1.1
- rebuild without Requires

* Thu May 28 2015 David Walluck <dwalluck@redhat.com> - 1.7.6-1.redhat_1.1
- release

* Thu Nov 06 2014 David Stahl <dstahl@redhat.com> - 1.7.5-2.redhat_2.1
- Upgrade to 1.7.5.redhat-2

* Tue Nov 04 2014 David Walluck <dwalluck@redhat.com> 0:1.7.5-1
- release
